Skip to main content
POST
/
attachments
/
temporary
Upload temporary attachments
curl --request POST \
  --url https://api.gospott.com/attachments/temporary \
  --header 'Content-Type: multipart/form-data' \
  --header 'x-api-key: <api-key>' \
  --form 'files=<string>' \
  --form files.items='@example-file'
[
  {
    "type": "unassigned",
    "attachmentId": "<string>",
    "attachmentName": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "extension": "<string>",
    "size": 123
  }
]

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Query Parameters

type
enum<string>
required

The type/category of the attachment (e.g., cv, cover_letter, contract, etc.)

Available options:
unassigned,
CV,
COVER_LETTER,
ID_DOCUMENT,
QUESTIONNAIRE,
PERSONALITY_TEST,
OFFER,
TRANSCRIPT,
TERMS_AND_CONDITIONS,
JOB_DESCRIPTION,
TERMS_AND_CONDITIONS,
SCORECARD,
CANDIDATE_BRIEFING,
SHORTLISTED_CVS,
MEETING_VIDEO,
AUDIO,
OUTPUT,
WORD_REPORT_EXPORT_TEMPLATE,
PPTX_REPORT_EXPORT_TEMPLATE,
ExportedTemplatedReport,
ExportedTemplatedCv,
IMPORT_CSV,
LOGO,
FAVICON,
NOTE_TAKER_IMAGE

Body

multipart/form-data

One or more files to upload. Accepted formats: PDF (.pdf), Word (.doc, .docx), Images (.jpeg, .png, .gif, .bmp, .webp, .tiff, .svg, .ico), Excel (.xlsx). Max 10 files, 50MB per file.

files
file[]

Array of files to upload. Supported MIME types: application/pdf, application/vnd.openxmlformats-officedocument.wordprocessingml.document, application/msword, image/jpeg, image/png, image/gif, image/bmp, image/webp, image/tiff, image/svg+xml, image/x-icon, image/vnd.microsoft.icon, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

Response

Attachments uploaded successfully. Returns an array of attachment details including IDs to use for assignment.

type
enum<string> | null
required
Available options:
unassigned,
CV,
COVER_LETTER,
ID_DOCUMENT,
QUESTIONNAIRE,
PERSONALITY_TEST,
OFFER,
TRANSCRIPT,
TERMS_AND_CONDITIONS,
JOB_DESCRIPTION,
TERMS_AND_CONDITIONS,
SCORECARD,
CANDIDATE_BRIEFING,
SHORTLISTED_CVS,
MEETING_VIDEO,
AUDIO,
OUTPUT,
WORD_REPORT_EXPORT_TEMPLATE,
PPTX_REPORT_EXPORT_TEMPLATE,
ExportedTemplatedReport,
ExportedTemplatedCv,
IMPORT_CSV,
LOGO,
FAVICON,
NOTE_TAKER_IMAGE
attachmentId
string
required
attachmentName
string | null
required
createdAt
string<date-time>
required
extension
string | null
required
size
number | null
required